Qt for Windows CE Requirements

Qt is known to work with Visual Studio 2005/2008/2010 and the following SDKs for Windows CE development on Windows XP and Windows Vista:

  • Windows CE 5.0 Standard SDK for ARM, X86, and MIPS
  • Windows CE 6.0 SDKs for ARM generated using the defaults found in Platform Builder
  • Windows Mobile 5.0 (Pocket PC, Smartphone and Pocket PC with Phone editions)
  • Windows Mobile 6.0 (Standard, Classic and Professional editions)

Below is a list of links to download the SDKs:


  1. Currently, there is only compile support for Windows CE 5.0 Standard SDK for SH-4.
  2. There is currently no "out of the box" support for the Windows CE Automotive or Portable Media SDKs from Microsoft.

Device manufacturers may prefer to make their own customized version of Windows CE using Platform Builder. In order for Qt for Windows CE to support a custom SDK, a build specification needs to be created. More information on Windows CE Customization can be found here.


  • Development environment:
    • Microsoft Visual Studio 2005 (Standard Edition) or higher
    • ActivePerl
  • Footprint
    • Lean configuration - 4.8 MB
    • Full configuration - 8.4 MB
  • Operating Systems
    • Windows CE 5 or higher
    • Windows Mobile 5 or higher
  • Hardware Platform
    • Supported on ARM, x86
    • (Compiles on SH4 and MIPS)

See also Known Issues.

© 2016 The Qt Company Ltd. Documentation contributions included herein are the copyrights of their respective owners. The documentation provided herein is licensed under the terms of the GNU Free Documentation License version 1.3 as published by the Free Software Foundation. Qt and respective logos are trademarks of The Qt Company Ltd. in Finland and/or other countries worldwide. All other trademarks are property of their respective owners.